%define short_name	addressing
%define name		ws-fx-%{short_name}
%define version		1.0
%define release		1jpp_1rh
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	WS-Addressing on top of Axis
License:	Apache Software License 2.0
Url:		http://ws.apache.org/ws-fx/addressing/
Group:		Text Processing/Markup/XML
#Vendor:		JPackage Project
#Distribution:	JPackage
Source0:	ws-fx-addressing-1.0-src.tar.gz
##cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic login
##cvs -z3 -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic export -r HEAD ws-fx/addressing/

Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        ws-fx-addressing-1.0-jpp-depmap.xml
BuildRequires:	maven
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	junit
BuildRequires:	axis >= 0:1.2
BuildRequires:	wsdl4j >= 0:1.5
BuildRequires:	jakarta-commons-discovery
BuildRequires:	jakarta-commons-logging
Requires:	axis >= 0:1.2
Requires:	wsdl4j >= 0:1.5
Requires:	jakarta-commons-discovery
Requires:	jakarta-commons-logging
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Apache Addressing is an implementation of the Web 
Services Addressing (WS-Addressing), published by the 
IBM, Microsoft and BEA as a joint specification, on 
top of Apache Axis (The Next Generation SOAP).

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{short_name}
# remove all binary libs
for f in $(find . -name "*.jar"); do
    mv $f $f.no
done

%build
export DEPCAT=$(pwd)/ws-fx-addressing-1.0-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > ws-fx-addressing-1.0-depmap.new.xml
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

mkdir -p .maven/repository/JPP/jars
build-jar-repository .maven/repository/JPP/jars \
axis/axis \
axis/axis-ant \
axis/jaxrpc \
axis/saaj \
wsdl4j \
junit \
commons-discovery \
commons-logging \

export MAVEN_HOME_LOCAL=$(pwd)/.maven
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar javadoc:generate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/%{short_name}-%{version}.jar \
		$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
# create unprefixed and unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir} 
ln -sf %{name}-%{version}.jar %{short_name}-%{version}.jar
for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done
)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Thu Oct 20 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-1jpp_1rh
- Firt Red Hat build

* Fri Mar 11 2005 Ralph Apel <r.apel at r-apel.de> 0:1.0-1jpp
- First JPackage release
